import request from '@/utils/request'

export function initProject() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'PDM_项目名称_查询数据_按时间排序'
    }
  })
}
export function intPartState() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_基础表_零件考核状态_查询数据'
    }
  })
}
export function searchmachine(num, check, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'PDM_机床名称_查询数据',
      param: '项目流水号_check=' + check + '=int&项目流水号=' + num + '&机床类型代码_check=0=int&机床类型代码=1=int&机床流水号_check=0',
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
export function searchgroup(num, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'PDM_组件名称_查询数据',
      param: '机床流水号=' + num,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
export function searchTable(check, entryNameValue, check1, machine, check2, groupNum, check3, partNumber, check4, partStateValue, check5, partTypeValue, pageSize, pageCurrent) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_零件工艺计划_查询数据_状态_新_MESWORK',
      param: '项目流水号_check=' + check + '=int&项目流水号=' + entryNameValue + '&机床流水号_check=' + check1 + '=int&机床流水号=' + machine + '=int&组件流水号_check=' + check2 + '=int&组件流水号=' + groupNum + '=int&零件图号_check=' + check3 + '=int&零件图号=' + partNumber + '=string&考核状态_check=' + check4 + '=int&考核状态=' + partStateValue + '=int&单件是否外协_check=' + check5 + '=int&单件是否外协=' + partTypeValue + '=int',
      pagination: pageCurrent + '&' + pageSize
    }
  })
}
export function editData(num, state) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_零件工艺计划_考核状态',
      param: '工艺计划流水号=' + num + '=int&考核状态=' + state + '=int'
    }
  })
}
